Menu

## NumberTest extends DataInterfaceTestAbstract
in package

NumberTest.php : 18

Tests the Number class

### Table of Contents

$FQN : string
$QRData : QRData
$testdata : string
maskPatternProvider() : array<string|int, array<string|int, int>>
stringValidateProvider() : array<string|int, mixed>
  isNumber() should pass on any number and fail on anything else
testBinaryStringInvalid() : void
  Tests if a binary string is properly validated as false
testCodeLengthOverflowException() : void
  Tests if an exception is thrown on data overflow
testDataModeInstance() : void
  Verifies the QRDataModeInterface instance
testDecodeSegment() : void
  Tests decoding a data segment from a given BitBuffer
testGetMinimumVersion() : void
  Tests getting the minimum QR version for the given data
testGetMinimumVersionException() : void
  Tests if an exception is thrown when the data exceeds the maximum version while auto-detecting
testInitMatrix() : void
  Tests initializing the data matrix
testInstance() : void
  Verifies the QRData instance
testInvalidDataException() : void
  Tests if an exception is thrown when an invalid character is encountered
testInvalidDataOnEmptyException() : void
  Tests if an exception is thrown if the given string is empty
testValidateString() : void
  Tests if a string is properly validated for the respective data mode
versionBreakpointProvider() : array<string|int, mixed>
  returns versions within the version breakpoints 1-9, 10-26 and 27-40
setUp() : void

### Properties

#### $FQN

NumberTest.php : 20
`protected string $FQN = \chillerlan\QRCode\Data\Number::class`

#### $QRData

DataInterfaceTestAbstract.php : 27
`protected QRData $QRData`

#### $testdata

NumberTest.php : 21
`protected string $testdata = '0123456789'`

### Methods

#### maskPatternProvider()

DataInterfaceTestAbstract.php : 55
`public maskPatternProvider() : array<string|int, array<string|int, int>>`

##### Tags

see
  testInitMatrix()

##### Return values

array<string|int, array<string|int, int>> —

#### stringValidateProvider()

NumberTest.php : 26

isNumber() should pass on any number and fail on anything else

`public stringValidateProvider() : array<string|int, mixed>`

##### Return values

array<string|int, mixed> —

#### testBinaryStringInvalid()

DataInterfaceTestAbstract.php : 106

Tests if a binary string is properly validated as false

`public testBinaryStringInvalid() : void`

##### Tags

see
  https://github.com/chillerlan/php-qrcode/issues/182

##### Return values

void —

#### testCodeLengthOverflowException()

DataInterfaceTestAbstract.php : 158

Tests if an exception is thrown on data overflow

`public testCodeLengthOverflowException() : void`

##### Return values

void —

#### testDataModeInstance()

DataInterfaceTestAbstract.php : 45

Verifies the QRDataModeInterface instance

`public testDataModeInstance() : void`

##### Return values

void —

#### testDecodeSegment()

DataInterfaceTestAbstract.php : 123

Tests decoding a data segment from a given BitBuffer

`public testDecodeSegment(int $version) : void`

##### Parameters

$version : int

##### Tags

dataProvider

  versionBreakpointProvider

##### Return values

void —

#### testGetMinimumVersion()

DataInterfaceTestAbstract.php : 76

Tests getting the minimum QR version for the given data

`public testGetMinimumVersion() : void`

##### Return values

void —

#### testGetMinimumVersionException()

DataInterfaceTestAbstract.php : 148

Tests if an exception is thrown when the data exceeds the maximum version while auto-detecting

`public testGetMinimumVersionException() : void`

##### Return values

void —

#### testInitMatrix()

DataInterfaceTestAbstract.php : 64

Tests initializing the data matrix

`public testInitMatrix(int $maskPattern) : void`

##### Parameters

$maskPattern : int

##### Tags

dataProvider

  maskPatternProvider

##### Return values

void —

#### testInstance()

DataInterfaceTestAbstract.php : 38

Verifies the QRData instance

`public testInstance() : void`

##### Return values

void —

#### testInvalidDataException()

DataInterfaceTestAbstract.php : 171

Tests if an exception is thrown when an invalid character is encountered

`public testInvalidDataException() : void`

##### Return values

void —

#### testInvalidDataOnEmptyException()

DataInterfaceTestAbstract.php : 182

Tests if an exception is thrown if the given string is empty

`public testInvalidDataOnEmptyException() : void`

##### Return values

void —

#### testValidateString()

DataInterfaceTestAbstract.php : 96

Tests if a string is properly validated for the respective data mode

`public testValidateString(string $string, bool $expected) : void`

##### Parameters

$string : string
$expected : bool

##### Tags

dataProvider

  stringValidateProvider

##### Return values

void —

#### versionBreakpointProvider()

DataInterfaceTestAbstract.php : 114

returns versions within the version breakpoints 1-9, 10-26 and 27-40

`public versionBreakpointProvider() : array<string|int, mixed>`

##### Return values

array<string|int, mixed> —

#### setUp()

DataInterfaceTestAbstract.php : 31
`protected setUp() : void`

##### Return values

void —

## Search results